Bug 216698 - prevent a possible crash if dbus is not available
prevent a possible crash if dbus is not available
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: control-center (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
David Lawrence
: Desktop
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-21 11:16 EST by Matthias Clasen
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-04 00:21:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the patch (1.03 KB, patch)
2006-11-21 11:18 EST, Matthias Clasen
no flags Details | Diff

  None (edit)
Description Matthias Clasen 2006-11-21 11:16:09 EST
This is a fix found in the upstream 2.16.2 control-center package that
prevents a possible NULL pointer dereference. It can happen in situations
where dbus is not available when gnome-session is run. Unfortunately, I 
don't have explicit reproduction information, but the patch is obviously
correct and harmless.
Comment 1 Matthias Clasen 2006-11-21 11:18:24 EST
Created attachment 141782 [details]
the patch
Comment 2 RHEL Product and Program Management 2006-11-21 11:41:08 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Matthias Clasen 2006-11-22 17:49:52 EST
Fix included in control-center-2.16.0-13.el5
Comment 4 Yan Tian 2006-11-24 02:43:15 EST
Verified attached patch had been included in control-center-2.16.0-13.el5.
Comment 5 Xiaohong Wang 2006-12-04 00:21:03 EST
control-center-2.16.0-13.el5 has been included in RHEL5-Client-20061201.0, so
resolve this bug.

Note You need to log in before you can comment on or make changes to this bug.